DeleteUserOwner
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppOwnersV2.DeleteUserOwner(ctx, operations.C1APIAppV2AppOwnersDeleteUserOwnerRequest{
AppID: "<id>",
RoleSlug: "<value>",
UserRefID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.DeleteUserOwnerResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appOwnersV2.deleteUserOwner({
appId: "<id>",
roleSlug: "<value>",
userRefId: "<id>",
});
console.log(result);
}
run();curl --request DELETE \
--url https://{tenantDomain}.conductor.one/api/v2/apps/{app_id}/owners/users/{role_slug}/{user_ref_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userRef": {
"id": "<string>"
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v2/apps/{app_id}/owners/users/{role_slug}/{user_ref_id}"
payload = { "userRef": { "id": "<string>" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({userRef: {id: '<string>'}})
};
fetch('https://{tenantDomain}.conductor.one/api/v2/apps/{app_id}/owners/users/{role_slug}/{user_ref_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}App Owner V2
Delete User Owner
DeleteUserOwner deletes a user ownership source for an app.
DELETE
/
api
/
v2
/
apps
/
{app_id}
/
owners
/
users
/
{role_slug}
/
{user_ref_id}
DeleteUserOwner
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppOwnersV2.DeleteUserOwner(ctx, operations.C1APIAppV2AppOwnersDeleteUserOwnerRequest{
AppID: "<id>",
RoleSlug: "<value>",
UserRefID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.DeleteUserOwnerResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appOwnersV2.deleteUserOwner({
appId: "<id>",
roleSlug: "<value>",
userRefId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The appId field.
The roleSlug field.
The id of the user.
Body
application/json
DeleteUserOwnerRequest is the request for deleting a user ownership source.
A reference to a user.
Show child attributes
Show child attributes
Response
200 - application/json
DeleteUserOwnerResponse is the empty response for deleting a user ownership source.
DeleteUserOwnerResponse is the empty response for deleting a user ownership source.
Was this page helpful?
⌘I